# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.spreadsheet
Class CellQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.spreadsheet.CellQuery

    public class CellQuery

extends Query

Simple class for cells-feed-specific queries. The main features include minimum and maximum row and column numbers. For instance, you could select only cells in the range of rows 2 through 5 and columns 3 and beyond. This would correspond to: query.setMinimumRow(2); query.setMaximumRow(5); query.setMinimumCol(3);

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary
`static java.lang.String` `MAXIMUM_COL` String property for maximum column number.
`static java.lang.String` `MAXIMUM_ROW` String property for maximum row number.
`static java.lang.String` `MINIMUM_COL` String property for minimum column number.
`static java.lang.String` `MINIMUM_ROW` String property for minimum row number.
`static java.lang.String` `RANGE` String property for a cell range.
`static java.lang.String` `RETURN_EMPTY` String porperty for flag to return empty cells.

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`CellQuery(java.net.URL feedUrl)` Constructs an object representing a to-be-executed query on cells.

Method Summary
`java.lang.Integer` `getMaximumCol()` Gets the largest column number possible in the cells to be returned.
`java.lang.Integer` `getMaximumRow()` Gets the largest row number possible in the cells to be returned.
`java.lang.Integer` `getMinimumCol()` Gets the smallest column number possible in the cells to be returned.
`java.lang.Integer` `getMinimumRow()` Gets the smallest row number possible in the cells to be returned.
`java.lang.String` `getRange()` Gets the range of the cells to be returned.
`boolean` `getReturnEmpty()` Gets whether the empty cells should be returned.
`void` `setMaximumCol(java.lang.Integer value)` Sets the maximum column number of cells that are returned.
`void` `setMaximumRow(java.lang.Integer value)` Sets the maximum row number of cells that are returned.
`void` `setMinimumCol(java.lang.Integer value)` Sets the minimum column number of cells that are returned.
`void` `setMinimumRow(java.lang.Integer value)` Sets the minimum row number of cells that are returned.
`void` `setRange(java.lang.String value)` Sets the range for the cells to return.
`void` `setReturnEmpty(boolean value)` Sets whether to return empty cells.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_ROW

    public static final java.lang.String MINIMUM_ROW

  String property for minimum row number.

  See Also:
    Constant Field Values

### MAXIMUM_ROW

    public static final java.lang.String MAXIMUM_ROW

  String property for maximum row number.

  See Also:
    Constant Field Values

### MINIMUM_COL

    public static final java.lang.String MINIMUM_COL

  String property for minimum column number.

  See Also:
    Constant Field Values

### MAXIMUM_COL

    public static final java.lang.String MAXIMUM_COL

  String property for maximum column number.

  See Also:
    Constant Field Values

### RANGE

    public static final java.lang.String RANGE

  String property for a cell range.

  See Also:
    Constant Field Values

### RETURN_EMPTY

    public static final java.lang.String RETURN_EMPTY

  String porperty for flag to return empty cells.

  See Also:
    Constant Field Values

Constructor Detail

### CellQuery

    public CellQuery(java.net.URL feedUrl)

  Constructs an object representing a to-be-executed query on cells.

  Parameters:
    `feedUrl` - the URI of the particular worksheet's cells feed

Method Detail

### setMinimumRow

    public void setMinimumRow(java.lang.Integer value)

  Sets the minimum row number of cells that are returned.

  Parameters:
    `value` - the row number, or null if there is no minimum

### setMaximumRow

    public void setMaximumRow(java.lang.Integer value)

  Sets the maximum row number of cells that are returned.

  Parameters:
    `value` - the row number, or null if there is no maximum

### setMinimumCol

    public void setMinimumCol(java.lang.Integer value)

  Sets the minimum column number of cells that are returned.

  Parameters:
    `value` - the column numer, or null if there is no minimum

### setMaximumCol

    public void setMaximumCol(java.lang.Integer value)

  Sets the maximum column number of cells that are returned.

  Parameters:
    `value` - the column number, of null if there is no maximum

### setRange

    public void setRange(java.lang.String value)

  Sets the range for the cells to return.

  Parameters:
    `value` - the range in A1 or R1C1 for the cells to be returned.

### setReturnEmpty

    public void setReturnEmpty(boolean value)

  Sets whether to return empty cells.

  Parameters:
    `value` - if true, then empty cells will be returned in the feed.

### getMinimumRow

    public java.lang.Integer getMinimumRow()

  Gets the smallest row number possible in the cells to be returned.

### getMaximumRow

    public java.lang.Integer getMaximumRow()

  Gets the largest row number possible in the cells to be returned.

### getMinimumCol

    public java.lang.Integer getMinimumCol()

  Gets the smallest column number possible in the cells to be returned.

### getMaximumCol

    public java.lang.Integer getMaximumCol()

  Gets the largest column number possible in the cells to be returned.

### getRange

    public java.lang.String getRange()

  Gets the range of the cells to be returned.

### getReturnEmpty

    public boolean getReturnEmpty()

  Gets whether the empty cells should be returned.